

/**
 * main.c
 */
#include <HL_pinmux.h>
#include "HL_sci.h"
#include "HL_gio.h"
#include "HL_rti.h"
#include "HL_sys_core.h"


void rtiNotification(rtiBASE_t *rtiREG,uint32 notification)
{
    sciSend(sciREG1, 12, "RTI runing\r\n");
}


int main(void)
{
    muxInit();

    sciInit();

    gioInit();

    rtiInit();

    rtiEnableNotification(rtiREG1, rtiNOTIFICATION_COMPARE0);
    _enable_IRQ();

    rtiStartCounter(rtiREG1,rtiCOUNTER_BLOCK0);

    while(1)
    {

        sciSend(sciREG1, 12, "app runing\r\n");
    }
	return 0;
}
